> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Status History

> Get the status history for a specific order.



## OpenAPI

````yaml GET /v1/orders/{orderId}/status-history
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/orders/{orderId}/status-history:
    get:
      tags:
        - Order Endpoints
      summary: Get Order Status History
      description: Get the status history of an order.
      operationId: getOrderStatusHistory
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  currentStatus:
                    type: string
                    example: completed
                  history:
                    type: array
                    items:
                      type: object
                      properties:
                        checked:
                          type: boolean
                          example: true
                        description:
                          type: string
                          example: Your order has been created
                        status:
                          type: string
                          example: created
                        timestamp:
                          type: string
                          example: '2025-03-18T06:09:17.832Z'
                    example:
                      - checked: true
                        description: Your order has been created
                        status: created
                        timestamp: '2025-03-18T06:09:17.832Z'
                      - checked: true
                        description: >-
                          Your order is ready to be funded. Please send funds to
                          the provided address
                        status: waiting_for_funding
                        timestamp: '2025-03-18T06:09:28.996Z'
                      - checked: true
                        description: Detected incoming payment
                        status: waiting_for_confirmations
                        timestamp: '2025-03-18T06:10:12.517Z'
                      - checked: true
                        description: Your payment was confirmed
                        status: funds_received
                        timestamp: '2025-03-18T06:10:13.216Z'
                      - checked: true
                        description: We are processing your payout
                        status: processing_payout
                        timestamp: '2025-03-18T06:10:13.859Z'
                      - checked: true
                        description: >-
                          Order is complete, and funds have been delivered
                          successfully
                        status: completed
                        timestamp: '2025-03-18T06:10:20.150Z'
              examples:
                Success Response:
                  value:
                    currentStatus: completed
                    history:
                      - checked: true
                        description: Your order has been created
                        status: created
                        timestamp: '2025-03-18T06:09:17.832Z'
                      - checked: true
                        description: >-
                          Your order is ready to be funded. Please send funds to
                          the provided address
                        status: waiting_for_funding
                        timestamp: '2025-03-18T06:09:28.996Z'
                      - checked: true
                        description: Detected incoming payment
                        status: waiting_for_confirmations
                        timestamp: '2025-03-18T06:10:12.517Z'
                      - checked: true
                        description: Your payment was confirmed
                        status: funds_received
                        timestamp: '2025-03-18T06:10:13.216Z'
                      - checked: true
                        description: We are processing your payout
                        status: processing_payout
                        timestamp: '2025-03-18T06:10:13.859Z'
                      - checked: true
                        description: >-
                          Order is complete, and funds have been delivered
                          successfully
                        status: completed
                        timestamp: '2025-03-18T06:10:20.150Z'
        '404':
          description: Error Response - Order Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: not_found
                  message:
                    type: string
                    example: Order not found
                  statusCode:
                    type: number
                    example: 404
              examples:
                Error Response - Order Not Found:
                  value:
                    error: not_found
                    message: Order not found
                    statusCode: 404

````